<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Particles/ParticleManager/ParticleSource.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d75/_particle_source_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">ParticleSource.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d7/d75/_particle_source_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d41/classarray.html">array</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Result for an object found in <a class="el" href="../../d2/de6/class_c_game.html#a3c141166aef994cfd52c9eaa7e8d8665">CGame.IsBoxCollidingGeometryProxy</a>.  <a href="../../d2/d41/classarray.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d38/class_particle_source.html">ParticleSource</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="../../d2/d96/class_entity.html">Entity</a> which has the particle instance as an ObjectComponent.  <a href="../../de/d38/class_particle_source.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="typedef-members" name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a8251c681967c4cffc7492e2a8f7ad107"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../de/d38/class_particle_source.html">ParticleSource</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d75/_particle_source_8c.html#a8251c681967c4cffc7492e2a8f7ad107">ParticleSourceArray</a></td></tr>
<tr class="separator:a8251c681967c4cffc7492e2a8f7ad107"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a3cbb817973cac071ec1fdff5e849ab88"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d75/_particle_source_8c.html#a3cbb817973cac071ec1fdff5e849ab88">ParticleAutoDestroyFlags</a> { <a class="el" href="../../d7/d75/_particle_source_8c.html#a3cbb817973cac071ec1fdff5e849ab88a0d32432a8ce206fee4c57623e467b3c1">ON_END</a>
, <a class="el" href="../../d7/d75/_particle_source_8c.html#a3cbb817973cac071ec1fdff5e849ab88a31ad96289abc58c8b98620da7baa5210">ON_STOP</a>
, <a class="el" href="../../d7/d75/_particle_source_8c.html#a3cbb817973cac071ec1fdff5e849ab88ab1d5eac4b1dca480c8056eaea7663b7a">ALL</a>
 }</td></tr>
<tr class="memdesc:a3cbb817973cac071ec1fdff5e849ab88"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flags to pass to <a class="el" href="de/d38/class_particle_source.html#aa2734a10ecf17415ecced3075ef803a1" title="Enables the particle to automatically clean up itself when ending or stopping.">ParticleSource.SetParticleAutoDestroyFlags</a>.  <a href="../../d7/d75/_particle_source_8c.html#a3cbb817973cac071ec1fdff5e849ab88">More...</a><br /></td></tr>
<tr class="separator:a3cbb817973cac071ec1fdff5e849ab88"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ac157bdf0b85a40d2619cbc8bc1ae5fe2"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d7/d75/_particle_source_8c.html#a3cbb817973cac071ec1fdff5e849ab88">ParticleAutoDestroyFlags</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d75/_particle_source_8c.html#ac157bdf0b85a40d2619cbc8bc1ae5fe2">NONE</a></td></tr>
<tr class="memdesc:ac157bdf0b85a40d2619cbc8bc1ae5fe2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flags to pass to <a class="el" href="../../de/d38/class_particle_source.html#a8b95d16fede2eb4703370e063b0cae35" title="Method to tell the particle to start playing.">ParticleSource.PlayParticleEx</a>.  <a href="../../d7/d75/_particle_source_8c.html#ac157bdf0b85a40d2619cbc8bc1ae5fe2">More...</a><br /></td></tr>
<tr class="separator:ac157bdf0b85a40d2619cbc8bc1ae5fe2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6a00fe32fe3146b2a5f2a9969e57314"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d7/d75/_particle_source_8c.html#a3cbb817973cac071ec1fdff5e849ab88">ParticleAutoDestroyFlags</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d75/_particle_source_8c.html#aa6a00fe32fe3146b2a5f2a9969e57314">RESET</a></td></tr>
<tr class="memdesc:aa6a00fe32fe3146b2a5f2a9969e57314"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reset state after stopping.  <a href="../../d7/d75/_particle_source_8c.html#aa6a00fe32fe3146b2a5f2a9969e57314">More...</a><br /></td></tr>
<tr class="separator:aa6a00fe32fe3146b2a5f2a9969e57314"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14177d9fee1367ccb155682c7ebc0c47"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d7/d75/_particle_source_8c.html#a3cbb817973cac071ec1fdff5e849ab88">ParticleAutoDestroyFlags</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d75/_particle_source_8c.html#a14177d9fee1367ccb155682c7ebc0c47">IMMEDIATE</a></td></tr>
<tr class="memdesc:a14177d9fee1367ccb155682c7ebc0c47"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flag will make the particle stop immediately, taking it out of simulation and clearing VISIBLE flag.  <a href="../../d7/d75/_particle_source_8c.html#a14177d9fee1367ccb155682c7ebc0c47">More...</a><br /></td></tr>
<tr class="separator:a14177d9fee1367ccb155682c7ebc0c47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18aaad85683d468960eebb2966d8550c"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d7/d75/_particle_source_8c.html#a3cbb817973cac071ec1fdff5e849ab88">ParticleAutoDestroyFlags</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d75/_particle_source_8c.html#a18aaad85683d468960eebb2966d8550c">VISIBLE</a></td></tr>
<tr class="memdesc:a18aaad85683d468960eebb2966d8550c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is default behaviour, but can be used in conjuction with IMMEDIATE which hides it when this flag is not present.  <a href="../../d7/d75/_particle_source_8c.html#a18aaad85683d468960eebb2966d8550c">More...</a><br /></td></tr>
<tr class="separator:a18aaad85683d468960eebb2966d8550c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62dbf23a00423bb2c5637b6df6736914"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d7/d75/_particle_source_8c.html#a3cbb817973cac071ec1fdff5e849ab88">ParticleAutoDestroyFlags</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d75/_particle_source_8c.html#a62dbf23a00423bb2c5637b6df6736914">PAUSE</a></td></tr>
<tr class="memdesc:a62dbf23a00423bb2c5637b6df6736914"><td class="mdescLeft">&#160;</td><td class="mdescRight">(SPF_IMMEDIATE | SPF_VISIBLE) "Freezes" the particle while keeping it visible  <a href="../../d7/d75/_particle_source_8c.html#a62dbf23a00423bb2c5637b6df6736914">More...</a><br /></td></tr>
<tr class="separator:a62dbf23a00423bb2c5637b6df6736914"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a712cead1dbb8d7f6e0274fccc3e04096"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d7/d75/_particle_source_8c.html#a3cbb817973cac071ec1fdff5e849ab88">ParticleAutoDestroyFlags</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d75/_particle_source_8c.html#a712cead1dbb8d7f6e0274fccc3e04096">FULL</a></td></tr>
<tr class="memdesc:a712cead1dbb8d7f6e0274fccc3e04096"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mode for GetParticle.  <a href="../../d7/d75/_particle_source_8c.html#a712cead1dbb8d7f6e0274fccc3e04096">More...</a><br /></td></tr>
<tr class="separator:a712cead1dbb8d7f6e0274fccc3e04096"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac1c31ea04a4600e0cb295a5576afd72"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d7/d75/_particle_source_8c.html#a3cbb817973cac071ec1fdff5e849ab88">ParticleAutoDestroyFlags</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d75/_particle_source_8c.html#aac1c31ea04a4600e0cb295a5576afd72">NO_EXT</a></td></tr>
<tr class="memdesc:aac1c31ea04a4600e0cb295a5576afd72"><td class="mdescLeft">&#160;</td><td class="mdescRight">Full path without ext ("graphics/particles/smoking_barrel_small")  <a href="../../d7/d75/_particle_source_8c.html#aac1c31ea04a4600e0cb295a5576afd72">More...</a><br /></td></tr>
<tr class="separator:aac1c31ea04a4600e0cb295a5576afd72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a315d50e8cc1109eee34384deb978fa27"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d7/d75/_particle_source_8c.html#a3cbb817973cac071ec1fdff5e849ab88">ParticleAutoDestroyFlags</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d75/_particle_source_8c.html#a315d50e8cc1109eee34384deb978fa27">FILE</a></td></tr>
<tr class="memdesc:a315d50e8cc1109eee34384deb978fa27"><td class="mdescLeft">&#160;</td><td class="mdescRight">Filename only ("smoking_barrel_small")  <a href="../../d7/d75/_particle_source_8c.html#a315d50e8cc1109eee34384deb978fa27">More...</a><br /></td></tr>
<tr class="separator:a315d50e8cc1109eee34384deb978fa27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30775db6e2e7b979f1ea92c5c2101e47"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d7/d75/_particle_source_8c.html#a3cbb817973cac071ec1fdff5e849ab88">ParticleAutoDestroyFlags</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d75/_particle_source_8c.html#a30775db6e2e7b979f1ea92c5c2101e47">PLAY_ON_CREATION</a></td></tr>
<tr class="memdesc:a30775db6e2e7b979f1ea92c5c2101e47"><td class="mdescLeft">&#160;</td><td class="mdescRight">Makes the particle start playing immediately after being created.  <a href="../../d7/d75/_particle_source_8c.html#a30775db6e2e7b979f1ea92c5c2101e47">More...</a><br /></td></tr>
<tr class="separator:a30775db6e2e7b979f1ea92c5c2101e47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af211ac9e81caf78faa6d872a10a62505"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d7/d75/_particle_source_8c.html#a3cbb817973cac071ec1fdff5e849ab88">ParticleAutoDestroyFlags</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d75/_particle_source_8c.html#af211ac9e81caf78faa6d872a10a62505">FORCE_WORLD_ROT</a></td></tr>
<tr class="memdesc:af211ac9e81caf78faa6d872a10a62505"><td class="mdescLeft">&#160;</td><td class="mdescRight">Only applicable when there is a parent, this will force the localOri to be in world space instead of local.  <a href="../../d7/d75/_particle_source_8c.html#af211ac9e81caf78faa6d872a10a62505">More...</a><br /></td></tr>
<tr class="separator:af211ac9e81caf78faa6d872a10a62505"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae30d917a01ed02f70beafc1bd4d2bc38"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d7/d75/_particle_source_8c.html#a3cbb817973cac071ec1fdff5e849ab88">ParticleAutoDestroyFlags</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d75/_particle_source_8c.html#ae30d917a01ed02f70beafc1bd4d2bc38">KEEP_PARENT_ON_END</a></td></tr>
<tr class="memdesc:ae30d917a01ed02f70beafc1bd4d2bc38"><td class="mdescLeft">&#160;</td><td class="mdescRight">By default, a particle unparents when it ends, this disables this behaviour.  <a href="../../d7/d75/_particle_source_8c.html#ae30d917a01ed02f70beafc1bd4d2bc38">More...</a><br /></td></tr>
<tr class="separator:ae30d917a01ed02f70beafc1bd4d2bc38"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="a8251c681967c4cffc7492e2a8f7ad107" name="a8251c681967c4cffc7492e2a8f7ad107"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8251c681967c4cffc7492e2a8f7ad107">&#9670;&#160;</a></span>ParticleSourceArray</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../de/d38/class_particle_source.html">ParticleSource</a>&gt; <a class="el" href="../../d7/d75/_particle_source_8c.html#a8251c681967c4cffc7492e2a8f7ad107">ParticleSourceArray</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d75/_particle_source_8c_source.html#l00103">103</a> of file <a class="el" href="../../d7/d75/_particle_source_8c_source.html">ParticleSource.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a3cbb817973cac071ec1fdff5e849ab88" name="a3cbb817973cac071ec1fdff5e849ab88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3cbb817973cac071ec1fdff5e849ab88">&#9670;&#160;</a></span>ParticleAutoDestroyFlags</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d7/d75/_particle_source_8c.html#a3cbb817973cac071ec1fdff5e849ab88">ParticleAutoDestroyFlags</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Flags to pass to <a class="el" href="../../de/d38/class_particle_source.html#aa2734a10ecf17415ecced3075ef803a1" title="Enables the particle to automatically clean up itself when ending or stopping.">ParticleSource.SetParticleAutoDestroyFlags</a>. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a3cbb817973cac071ec1fdff5e849ab88a0d32432a8ce206fee4c57623e467b3c1" name="a3cbb817973cac071ec1fdff5e849ab88a0d32432a8ce206fee4c57623e467b3c1"></a>ON_END&#160;</td><td class="fielddoc"><p >Destroy when the <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a> ends (looping particle never ends) </p>
</td></tr>
<tr><td class="fieldname"><a id="a3cbb817973cac071ec1fdff5e849ab88a31ad96289abc58c8b98620da7baa5210" name="a3cbb817973cac071ec1fdff5e849ab88a31ad96289abc58c8b98620da7baa5210"></a>ON_STOP&#160;</td><td class="fielddoc"><p >Destroy when particle stops. </p>
</td></tr>
<tr><td class="fieldname"><a id="a3cbb817973cac071ec1fdff5e849ab88ab1d5eac4b1dca480c8056eaea7663b7a" name="a3cbb817973cac071ec1fdff5e849ab88ab1d5eac4b1dca480c8056eaea7663b7a"></a>ALL&#160;</td><td class="fielddoc"><p >ON_END | ON_STOP. </p>
</td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../d7/d75/_particle_source_8c_source.html#l00002">2</a> of file <a class="el" href="../../d7/d75/_particle_source_8c_source.html">ParticleSource.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a315d50e8cc1109eee34384deb978fa27" name="a315d50e8cc1109eee34384deb978fa27"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a315d50e8cc1109eee34384deb978fa27">&#9670;&#160;</a></span>FILE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d7/d75/_particle_source_8c.html#a3cbb817973cac071ec1fdff5e849ab88">ParticleAutoDestroyFlags</a> FILE</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Filename only ("smoking_barrel_small") </p>

</div>
</div>
<a id="af211ac9e81caf78faa6d872a10a62505" name="af211ac9e81caf78faa6d872a10a62505"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af211ac9e81caf78faa6d872a10a62505">&#9670;&#160;</a></span>FORCE_WORLD_ROT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d7/d75/_particle_source_8c.html#a3cbb817973cac071ec1fdff5e849ab88">ParticleAutoDestroyFlags</a> FORCE_WORLD_ROT</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Only applicable when there is a parent, this will force the localOri to be in world space instead of local. </p>

</div>
</div>
<a id="a712cead1dbb8d7f6e0274fccc3e04096" name="a712cead1dbb8d7f6e0274fccc3e04096"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a712cead1dbb8d7f6e0274fccc3e04096">&#9670;&#160;</a></span>FULL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d7/d75/_particle_source_8c.html#a3cbb817973cac071ec1fdff5e849ab88">ParticleAutoDestroyFlags</a> FULL</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mode for GetParticle. </p>
<p >Full path with ext ("graphics/particles/smoking_barrel_small.ptc") </p>

</div>
</div>
<a id="a14177d9fee1367ccb155682c7ebc0c47" name="a14177d9fee1367ccb155682c7ebc0c47"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14177d9fee1367ccb155682c7ebc0c47">&#9670;&#160;</a></span>IMMEDIATE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d7/d75/_particle_source_8c.html#a3cbb817973cac071ec1fdff5e849ab88">ParticleAutoDestroyFlags</a> IMMEDIATE</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Flag will make the particle stop immediately, taking it out of simulation and clearing VISIBLE flag. </p>
<dl class="section note"><dt>Note</dt><dd>By default the particle will gradually fade </dd>
<dd>
Note that when using IMMEDIATE, it is possible to call PlayParticle and it will resume from the moment it stopped Which is not possible by default, as the gradual fade is accomplished by nulling the lifetime </dd></dl>

</div>
</div>
<a id="ae30d917a01ed02f70beafc1bd4d2bc38" name="ae30d917a01ed02f70beafc1bd4d2bc38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae30d917a01ed02f70beafc1bd4d2bc38">&#9670;&#160;</a></span>KEEP_PARENT_ON_END</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d7/d75/_particle_source_8c.html#a3cbb817973cac071ec1fdff5e849ab88">ParticleAutoDestroyFlags</a> KEEP_PARENT_ON_END</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>By default, a particle unparents when it ends, this disables this behaviour. </p>

</div>
</div>
<a id="aac1c31ea04a4600e0cb295a5576afd72" name="aac1c31ea04a4600e0cb295a5576afd72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac1c31ea04a4600e0cb295a5576afd72">&#9670;&#160;</a></span>NO_EXT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d7/d75/_particle_source_8c.html#a3cbb817973cac071ec1fdff5e849ab88">ParticleAutoDestroyFlags</a> NO_EXT</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Full path without ext ("graphics/particles/smoking_barrel_small") </p>

</div>
</div>
<a id="ac157bdf0b85a40d2619cbc8bc1ae5fe2" name="ac157bdf0b85a40d2619cbc8bc1ae5fe2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac157bdf0b85a40d2619cbc8bc1ae5fe2">&#9670;&#160;</a></span>NONE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">@ NONE</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Flags to pass to <a class="el" href="../../de/d38/class_particle_source.html#a8b95d16fede2eb4703370e063b0cae35" title="Method to tell the particle to start playing.">ParticleSource.PlayParticleEx</a>. </p>
<p >No automatic destroying.</p>
<p >Flags to pass to <a class="el" href="../../de/d38/class_particle_source.html#a28b58f26c4487d1f79a4edd2d7821713" title="Method to tell the particle to stop playing.">ParticleSource.StopParticle</a>.</p>
<p >No flags </p>

<p class="definition">Definition at line <a class="el" href="../../d7/d75/_particle_source_8c_source.html#l00005">5</a> of file <a class="el" href="../../d7/d75/_particle_source_8c_source.html">ParticleSource.c</a>.</p>

</div>
</div>
<a id="a62dbf23a00423bb2c5637b6df6736914" name="a62dbf23a00423bb2c5637b6df6736914"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62dbf23a00423bb2c5637b6df6736914">&#9670;&#160;</a></span>PAUSE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d7/d75/_particle_source_8c.html#a3cbb817973cac071ec1fdff5e849ab88">ParticleAutoDestroyFlags</a> PAUSE</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>(SPF_IMMEDIATE | SPF_VISIBLE) "Freezes" the particle while keeping it visible </p>

</div>
</div>
<a id="a30775db6e2e7b979f1ea92c5c2101e47" name="a30775db6e2e7b979f1ea92c5c2101e47"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30775db6e2e7b979f1ea92c5c2101e47">&#9670;&#160;</a></span>PLAY_ON_CREATION</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d7/d75/_particle_source_8c.html#a3cbb817973cac071ec1fdff5e849ab88">ParticleAutoDestroyFlags</a> PLAY_ON_CREATION</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Makes the particle start playing immediately after being created. </p>

</div>
</div>
<a id="aa6a00fe32fe3146b2a5f2a9969e57314" name="aa6a00fe32fe3146b2a5f2a9969e57314"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6a00fe32fe3146b2a5f2a9969e57314">&#9670;&#160;</a></span>RESET</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d7/d75/_particle_source_8c.html#a3cbb817973cac071ec1fdff5e849ab88">ParticleAutoDestroyFlags</a> RESET</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Reset state after stopping. </p>

</div>
</div>
<a id="a18aaad85683d468960eebb2966d8550c" name="a18aaad85683d468960eebb2966d8550c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18aaad85683d468960eebb2966d8550c">&#9670;&#160;</a></span>VISIBLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d7/d75/_particle_source_8c.html#a3cbb817973cac071ec1fdff5e849ab88">ParticleAutoDestroyFlags</a> VISIBLE</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Is default behaviour, but can be used in conjuction with IMMEDIATE which hides it when this flag is not present. </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_f2e6f91e0f5fdd26aac18974f712661e.html">Particles</a></li><li class="navelem"><a class="el" href="../../dir_28fbf6f3ae152fae4438b63e5360bd67.html">ParticleManager</a></li><li class="navelem"><a class="el" href="../../d7/d75/_particle_source_8c.html">ParticleSource.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
